brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BROOKLYN-358) jclouds "swift" missing from karaf build
Date Fri, 07 Oct 2016 16:54:21 GMT

    [ https://issues.apache.org/jira/browse/BROOKLYN-358?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15555614#comment-15555614
] 

ASF GitHub Bot commented on BROOKLYN-358:
-----------------------------------------

Github user geomacy commented on the issue:

    https://github.com/apache/brooklyn-server/pull/374
  
    seems a bit strange we need both jars, I guess that's my ignorance of jclouds, but this
change should do the job


> jclouds "swift" missing from karaf build
> ----------------------------------------
>
>                 Key: BROOKLYN-358
>                 URL: https://issues.apache.org/jira/browse/BROOKLYN-358
>             Project: Brooklyn
>          Issue Type: Bug
>            Reporter: Aled Sage
>
> In the karaf build, if I try to use "jclouds:swift", it fails with the error:
> {noformat}
> 2016-10-07 13:32:45,009 ERROR 121 o.a.b.l.c.BasicLauncher [FelixStartLevel] Subsystem
for persistence had startup error (continuing with startup): org.apache.brooklyn.util.exceptions.FatalRuntimeException:
Error initializing persistence subsystem: NoSuchElementException: Cloud provider/API type
swift is not supported by jclouds
> org.apache.brooklyn.util.exceptions.FatalRuntimeException: Error initializing persistence
subsystem: NoSuchElementException: Cloud provider/API type swift is not supported by jclouds
>         at org.apache.brooklyn.launcher.common.BasicLauncher.initPersistence(BasicLauncher.java:594)
>         at org.apache.brooklyn.launcher.common.BasicLauncher.handlePersistence(BasicLauncher.java:510)
>         at org.apache.brooklyn.launcher.common.BasicLauncher.start(BasicLauncher.java:429)
>         at org.apache.brooklyn.launcher.osgi.OsgiLauncher.start(OsgiLauncher.java:78)
>         at org.apache.brooklyn.launcher.osgi.OsgiLauncher.init(OsgiLauncher.java:102)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)[:1.8.0_102]
>         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)[:1.8.0_102]
>         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)[:1.8.0_102]
>         at java.lang.reflect.Method.invoke(Method.java:498)[:1.8.0_102]
>         at org.apache.aries.blueprint.utils.ReflectionUtils.invoke(ReflectionUtils.java:299)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BeanRecipe.invoke(BeanRecipe.java:980)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BeanRecipe.runBeanProcInit(BeanRecipe.java:736)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BeanRecipe.internalCreate2(BeanRecipe.java:848)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BeanRecipe.internalCreate(BeanRecipe.java:811)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.di.AbstractRecipe$1.call(AbstractRecipe.java:79)[16:org.apache.aries.blueprint.core:1.5.0]
>         at java.util.concurrent.FutureTask.run(FutureTask.java:266)[:1.8.0_102]
>         at org.apache.aries.blueprint.di.AbstractRecipe.create(AbstractRecipe.java:88)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintRepository.createInstances(BlueprintRepository.java:255)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintRepository.createAll(BlueprintRepository.java:186)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintContainerImpl.instantiateEagerComponents(BlueprintContainerImpl.java:712)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintContainerImpl.doRun(BlueprintContainerImpl.java:399)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintContainerImpl.run(BlueprintContainerImpl.java:273)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintExtender.createContainer(BlueprintExtender.java:294)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintExtender.createContainer(BlueprintExtender.java:263)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.blueprint.container.BlueprintExtender.modifiedBundle(BlueprintExtender.java:253)[16:org.apache.aries.blueprint.core:1.5.0]
>         at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$Tracked.customizerModified(BundleHookBundleTracker.java:500)[20:org.apache.aries.util:1.1.1]
>         at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$Tracked.customizerModified(BundleHookBundleTracker.java:433)[20:org.apache.aries.util:1.1.1]
>         at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$AbstractTracked.track(BundleHookBundleTracker.java:725)[20:org.apache.aries.util:1.1.1]
>         at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$Tracked.bundleChanged(BundleHookBundleTracker.java:463)[20:org.apache.aries.util:1.1.1]
>         at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$BundleEventHook.event(BundleHookBundleTracker.java:422)[20:org.apache.aries.util:1.1.1]
>         at org.apache.felix.framework.util.SecureAction.invokeBundleEventHook(SecureAction.java:1179)[org.apache.felix.framework-5.4.0.jar:]
>         at org.apache.felix.framework.util.EventDispatcher.createWhitelistFromHooks(EventDispatcher.java:731)[org.apache.felix.framework-5.4.0.jar:]
>         at org.apache.felix.framework.util.EventDispatcher.fireBundleEvent(EventDispatcher.java:486)[org.apache.felix.framework-5.4.0.jar:]
>         at org.apache.felix.framework.Felix.fireBundleEvent(Felix.java:4541)[org.apache.felix.framework-5.4.0.jar:]
>         at org.apache.felix.framework.Felix.startBundle(Felix.java:2172)[org.apache.felix.framework-5.4.0.jar:]
>         at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1371)[org.apache.felix.framework-5.4.0.jar:]
>         at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)[org.apache.felix.framework-5.4.0.jar:]
>         at java.lang.Thread.run(Thread.java:745)[:1.8.0_102]
> Caused by: java.util.NoSuchElementException: Cloud provider/API type swift is not supported
by jclouds
>         at org.apache.brooklyn.location.jclouds.JcloudsLocationResolver.newLocationSpecFromString(JcloudsLocationResolver.java:146)
>         at org.apache.brooklyn.core.location.BasicLocationRegistry.getLocationSpec(BasicLocationRegistry.java:375)[116:org.apache.brooklyn.core:0.10.0.20161005_2342]
>         at org.apache.brooklyn.core.location.BasicLocationRegistry.getLocationSpec(BasicLocationRegistry.java:350)[116:org.apache.brooklyn.core:0.10.0.20161005_2342]
>         at org.apache.brooklyn.core.location.NamedLocationResolver.newLocationSpecFromString(NamedLocationResolver.java:85)
>         at org.apache.brooklyn.core.location.BasicLocationRegistry.getLocationSpec(BasicLocationRegistry.java:375)[116:org.apache.brooklyn.core:0.10.0.20161005_2342]
>         at org.apache.brooklyn.core.location.BasicLocationRegistry.getLocationSpec(BasicLocationRegistry.java:355)[116:org.apache.brooklyn.core:0.10.0.20161005_2342]
>         at org.apache.brooklyn.core.mgmt.persist.BrooklynPersistenceUtils.newPersistenceObjectStore(BrooklynPersistenceUtils.java:87)
>         at org.apache.brooklyn.launcher.common.BasicLauncher.initPersistence(BasicLauncher.java:577)
>         ... 37 more
> {noformat}
> This is because we only include {{openstack-swift}} and not {{swift}} in karaf (but both
in classic):
> {noformat}
> find . -name "*swift*.jar"
> ./brooklyn-dist/dist/target/brooklyn-dist/brooklyn/lib/brooklyn/org.apache.jclouds.api-openstack-swift-1.9.2.jar
> ./brooklyn-dist/dist/target/brooklyn-dist/brooklyn/lib/brooklyn/org.apache.jclouds.api-swift-1.9.2.jar
> ./brooklyn-dist/karaf/apache-brooklyn/target/assembly/system/org/apache/jclouds/api/openstack-swift/1.9.2/openstack-swift-1.9.2.jar
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message